Bug 1470341 - Libreswan NM plugin doesnt work
Libreswan NM plugin doesnt work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 14:50 EDT by fred
Modified: 2018-05-29 08:19 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:19:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nm gui screenshot (49.69 KB, image/png)
2017-07-12 14:50 EDT, fred
no flags Details

  None (edit)
Description fred 2017-07-12 14:50:19 EDT
Created attachment 1297182 [details]
nm gui screenshot

Description of problem:
I cant setup an IPSEC connection to my internet box.

Version-Release number of selected component (if applicable):
1.2.4

How reproducible:
always (rebooted twice)

Steps to Reproduce:
1. install  NetworkManager-libreswan
2. go to network, add an ipsec vpn
3. Gui complains 'Error, cannot load vpn connection editor'

Actual results:
cant setup the connection

Expected results:
ability to write the vpn infos
Comment 1 Joseph Mullally 2017-09-12 13:14:04 EDT
Just ran into this myself, try this:
$ sudo dnf install NetworkManager-libreswan-gnome

The error output of gnome-control-center NetworkManager applet is poor (needs extending IMHO), but nm-connection-editor showed what the issue was.

##############

$ sudo dnf install NetworkManager-libreswan

$ nm-connection-editor
# Add IPsec Based VPN

# Could not create connection
# 
# Could not load editor VPN plugin for "org.freedesktop.NetworkManager.libreswan" (missing plugin file "/usr/lib64/NetworkManager/libnm-vpn-plugin-libreswan-editor.so").

$ gnome-control-center
# Network -> Add "IPsec based VPN"

# (Error: Unable to load VPN connection editor)

$ dnf whatprovides /usr/lib64/NetworkManager/libnm-vpn-plugin-libreswan-editor.so
...
NetworkManager-libreswan-gnome
...

$ sudo dnf install NetworkManager-libreswan-gnome

# Works OK
Comment 2 Fedora End Of Life 2018-05-03 03:58:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2018-05-29 08:19:01 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.